Fiscal Harmony API
  1. Account
Fiscal Harmony API
  • Introduction
  • Authentication
  • Data
  • Webhooks
  • Support
  • Account
    • Get Profile
      GET
    • Get Fiscal Device
      GET
    • Subscription
      GET
  • Transactions
    • Submit Invoice
      POST
    • Submit Credit Note
      POST
    • Check Status
      POST
    • Download Pdf
      GET
  • Mappings
    • Tax Mappings
      • Get All TaxMappings
      • Add Tax Mapping
      • Get Specific Tax Mapping
      • Update Tax Mapping
      • Delete Tax Mapping
    • Currency Mappings
      • Supported Currencies
      • Get All CurrencyMappings
      • Add Currency Mapping
      • Get Specific Currency Mapping
      • Update Currency Mapping
      • Delete Currency Mapping
  • Schemas
    • Account
      • Profile
      • FiscalDevice
      • DeviceConfig
      • ApplicableTax
      • BillingPlan
      • BillingStatus
      • Subscription
    • Mappings
      • CurrencyMapping
      • TaxMapping
    • Transactions
      • Invoice
      • CreditNote
      • BuyerContact
      • PaymentMethodType
      • LineItem
      • StatusRequest
    • Date
  1. Account

Get Fiscal Device

Cloud Mock
https://mock.apidog.com/m1/1209598-0-default
Cloud Mock
https://mock.apidog.com/m1/1209598-0-default
GET
/fiscaldevice
Last modified:2026-03-02 13:29:09
This endpoint returns the fiscal device assigned to the user account. A 404 status code is returned if a device hasn’t yet been attached to your account. If a device is available, the data will be available in the form of the output parameters.

Request

Header Params

Responses

🟢200
application/json
Returns a FiscalDevice if available on the user profile.
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://mock.apidog.com/m1/1209598-0-default/fiscaldevice' \
--header 'X-Api-Key: YOUR_API_KEY' \
--header 'X-Api_Secret: YOUR_API_SECRET' \
--header 'X-Application: YOUR_APPLICATION_ID' \
--header 'X-Api-Station: YOUR_API_STATION' \
--header 'X-App-Version: 1'
Response Response Example
{
    "Id": 1,
    "DeviceId": 1001,
    "SerialNo": "123ABC1A12B12A12A1",
    "ModelName": "Xero",
    "ModelVersion": "v1",
    "ActivationKey": "12345678",
    "TIN": "1234567890",
    "BPNumber": "1234567890",
    "TaxpayerName": "John Smith",
    "TradeName": "Smith Tradings",
    "VATNumber": "123456789",
    "ActivatedOn": "2026-02-21T17:00:48.358544",
    "CurrentConfig": "{\"taxPayerName\":\"John Smith\",\"taxPayerTIN\":\"1234567890\",\"vatNumber\":\"123456789\",\"deviceSerialNo\":\"123ABC1A12B12A12A1\",\"deviceBranchName\":\"40 Sandringham Ave, Alexandra Park, Harare\",\"deviceOperatingMode\":\"Offline\",\"taxPayerDayMaxHrs\":6,\"taxPayerDayEndNotificationHrs\":7,\"applicableTaxes\":[{\"taxId\":2,\"taxPercent\":15.5,\"taxName\":\"VAT\"}]}",
    "IsActive": true,
    "IsLive": false,
    "NextPingTime": "2026-02-23T17:00:48.358544",
    "IsSwitchedOn": true,
    "AllowCsvUpload": false,
    "AllowCreditNoteWithNoInvoice": false,
    "ExpireCreditNoteWithNoInvoice": "2026-01-08T12:27:48.813524",
    "BillingStatus": 0,
    "BillingIdType": 1,
    "IsAutoPayPreferred": true,
    "ExpireCsvUpload": "2026-01-08T12:27:48.813524",
    "FiscalProviderId": 1,
    "BillingPlanLevel": 2
}
Modified at 2026-03-02 13:29:09
Previous
Get Profile
Next
Subscription
Built with